### Method

# FwupdPlugin UdevDevice get_sysfs_attr_uint64

since: 1.7.2

#### Declaration [src]

    gboolean
    fu_udev_device_get_sysfs_attr_uint64 (
      FuUdevDevice* self,
      const gchar* attr,
      guint64* value,
      GError** error
    )

#### Description [src]

Reads an arbitrary sysfs attribute ‘attr’ associated with UDEV device as a uint64.

Available since: 1.7.2

#### Parameters

`attr`

  Type: `const gchar*`

  Name of attribute to get.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `guint64*`

  Value to return.

  The argument will be set by the function.
  The argument can be `NULL`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` for success.